## freedombox 25.10

=== Makefile ===
DJANGO_ADMIN := django-admin
INSTALL := install
PYTHON := python3
PYTEST_ARGS :=
CP_ARGS := --no-dereference --preserve=mode,timestamps --reflink=auto

ENABLED_APPS_PATH := $(DESTDIR)/usr/share/freedombox/modules-enabled

DISABLED_APPS_TO_REMOVE := \
    apps \
    coquelicot \
    diaspora \
    monkeysphere \
    owncloud \
    system \
    xmpp \
    disks \
    udiskie \
    restore \
    repro \
    tahoe \
    mldonkey \
    i2p

APP_FILES_TO_REMOVE := $(foreach app,$(DISABLED_APPS_TO_REMOVE),$(ENABLED_APPS_PATH)/$(app))

REMOVED_FILES := \
    $(DESTDIR)/etc/apt/preferences.d/50freedombox3.pref \
    $(DESTDIR)/etc/apache2/sites-available/plinth.conf \
    $(DESTDIR)/etc/apache2/sites-available/plinth-ssl.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-performance.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-security.conf

DIRECTORIES_TO_CREATE := \
    $(DESTDIR)/var/lib/plinth \
    $(DESTDIR)/var/lib/plinth/sessions

STATIC_FILES_DIRECTORY := $(DESTDIR)/usr/share/plinth/static
BIN_DIR := $(DESTDIR)/usr/bin

FIND_ARGS := \
    -not -iname "*.log" \
    -not -iname "*.pid" \
    -not -iname "*.py.bak" \
    -not -iname "*.pyc" \
    -not -iname "*.pytest_cache" \
    -not -iname "*.sqlite3" \
    -not -iname "*.swp" \
    -not -iname "\#*" \
    -not -iname ".*" \
    -not -iname "sessionid*" \
    -not -iname "~*" \
    -not -iname "django-secret.key" \
    -not -iwholename "*/.mypy_cache/*"


ROOT_DATA_FILES := $(shell find data -type f $(FIND_ARGS))
MODULE_DATA_FILES := $(shell find $(wildcard plinth/modules/*/data) -type f $(FIND_ARGS))

update-translations:
	cd plinth; $(DJANGO_ADMIN) makemessages --all --domain django --keep-pot --verbosity=1

configure:
	# Nothing to do

build:
	# Compile translations
	$(DJANGO_ADMIN) compilemessages --verbosity=1

	# Build documentation
	$(MAKE) -C doc -j 8

	# Build .whl package
	rm -f dist/plinth-*.whl
	$(PYTHON) -m build --no-isolation --skip-dependency-check --wheel

install:
	# Drop removed apps
	rm -f $(APP_FILES_TO_REMOVE)

	# Drop removed configuration files
	rm -f $(REMOVED_FILES)

	# Create data directories
	for directory in $(DIRECTORIES_TO_CREATE) ; do \
	    $(INSTALL) -d $$directory ; \
	done

	# Python package
	temp=$$(mktemp -d) && \
        lib_dir=$$($(PYTHON) -c 'import sysconfig; print(sysconfig.get_paths(scheme="deb_system")["purelib"])') && \
	$(PYTHON) -m pip install dist/plinth-*.whl --break-system-packages \
            --no-deps --no-compile --no-warn-script-location \
            --ignore-installed --target=$${temp} && \
        $(INSTALL) -d $(DESTDIR)$${lib_dir} && \
	rm -rf $(DESTDIR)$${lib_dir}/plinth $(DESTDIR)$${lib_dir}/plinth*.dist-info && \
        mv $${temp}/plinth $${temp}/plinth*.dist-info $(DESTDIR)$${lib_dir} && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/COPYING.md && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
        $(INSTALL) -D -t $(BIN_DIR) bin/plinth
	$(INSTALL) -D -t $(BIN_DIR) bin/freedombox-privileged

	# Actions
	$(INSTALL) -D -t $(DESTDIR)/usr/share/plinth/actions actions/actions

	# Static web server files
	rm -rf $(STATIC_FILES_DIRECTORY)
	$(INSTALL) -d $(STATIC_FILES_DIRECTORY)
	cp $(CP_ARGS) --recursive static/* $(STATIC_FILES_DIRECTORY)

	# System data files
	for file in $(ROOT_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done
	for file in $(MODULE_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^plinth/modules/[^/]*/data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done

	# Documentation
	$(MAKE) -C doc install

check: check-type check-code check-doc check-tests

# Run the main test suite
check-tests:
	$(PYTHON) -m pytest $(PYTEST_ARGS)

# Tests with coverage report
check-tests-cov:
	$(PYTHON) -m pytest $(PYTEST_ARGS) --cov=plinth \
	    --cov-report=html:./htmlcov --cov-report=term

# Code quality checking using flake8
check-code:
	$(PYTHON) -m flake8 plinth actions/actions container

# Static type checking using mypy
check-type:
	$(PYTHON) -m mypy .

# Use doctest for check the wikiparser in doc directory
check-doc:
	$(PYTHON) -m doctest doc/scripts/wikiparser.py

clean:
	make -C doc clean
	rm -rf Plinth.egg-info
	find plinth/locale -name *.mo -delete

define DEVELOP_SERVICE_CONF
[Service]
Environment=FREEDOMBOX_DEVELOP=1
Environment=PYTHONPATH=/freedombox/
endef
export DEVELOP_SERVICE_CONF

# Run basic setup for a developer environment (VM or container)
provision-dev:
	# Install newer build dependencies if any
	apt-get update
	DEBIAN_FRONTEND=noninteractive apt-get build-dep --yes .

	# Install latest code over .deb
	$(MAKE) build install

	# Configure privileged daemon for development setup
	mkdir -p /etc/systemd/system/freedombox-privileged.service.d/
	echo "$$DEVELOP_SERVICE_CONF" > /etc/systemd/system/freedombox-privileged.service.d/develop.conf

	# Reload newer systemd units, ignore failure
	-systemctl daemon-reload

	# Enable privileged daemon
	-systemctl stop freedombox-privileged.service

	-test -d /run/systemd/system && \
		systemctl enable --now freedombox-privileged.socket

	# Stop any ongoing upgrade, ignore failure
	-killall -9 unattended-upgr

	# Fix any broken packages
	dpkg --configure -a
	apt-get -f install
	apt-get update

	# Install new packages needed by essential apps. Don't uninstall
	# freedombox in case new dependencies conflict with old dependencies
	apt-mark hold freedombox
	DEBIAN_FRONTEND=noninteractive apt-get install --no-upgrade --yes \
	    $$(sudo -u plinth ./run --develop --list-dependencies)
	apt-mark unhold freedombox

	# DNS resolution may be broken by upgrade to systemd-resolved. See
	# #1079819 and ##1032937.
	-systemctl restart systemd-resolved
	-nmcli general reload dns-rc

	# Install additional packages
	DEBIAN_FRONTEND=noninteractive apt-get install --yes ncurses-term \
	    sshpass bash-completion

.PHONY: \
    build \
    check \
    check-code \
    check-doc \
    check-type \
    check-tests \
    check-tests-cov \
    clean \
    configure \
    install \
    provision \
    update-translations

=== debian/control ===
Source: freedombox
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 13),
 dblatex,
 dh-python,
 docbook-xsl,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap5,
# Older libjs-bootstrap5 does not have proper dependency on popper.js >= 2.0
 node-popper2,
 pybuild-plugin-pyproject,
 python3-all:any,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-build,
 python3-cherrypy3,
 python3-configobj,
 python3-cryptography,
 python3-dbus,
 python3-django,
 python3-django-axes,
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy of django-axes
 python3-django-ipware,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-mypy,
 python3-pampy,
 python3-pexpect,
 python3-pip,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-runner,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-systemd,
 python3-typeshed,
 python3-yaml,
 sshpass,
 xmlto,
 xsltproc
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/freedombox-team/freedombox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
Rules-Requires-Root: no

Package: freedombox
Breaks:
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse (<< 3),
# If ufw is installed, remove it. See issue 2247.
 ufw,
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 bind9-dnsutils,
 curl,
 debconf,
 fonts-fork-awesome,
# sgdisk is used in storage app to expand GPT disks
 gdisk,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
# For gdbus used to call hooks into service
 libglib2.0-bin,
 libjs-bootstrap5,
 lsof,
 netcat-openbsd,
 network-manager,
# Older libjs-bootstrap5 does not have proper dependency on popper.js >= 2.0
 node-popper2,
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django,
 python3-django-axes,
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy of django-axes
 python3-django-ipware,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-pampy,
 python3-pexpect,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-systemd,
 python3-yaml,
 sudo,
 wget,
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse3,
Recommends:
# Temporarily moved from Depends due to piuparts bug #1010967.
 e2fsprogs,
# Wifi firmware
 firmware-ath9k-htc,
# FreedomBox documentation
 freedombox-doc-en,
 freedombox-doc-es,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Used by unattended-upgrades to check if running on AC power
 powermgmt-base,
# fuser, killall, pstree and other utilities
 psmisc,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

Package: freedombox-doc-en
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (English)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the English user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

Package: freedombox-doc-es
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (Spanish)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the Spanish user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

## freedombox 25.11~bpo13+1

=== debian/changelog ===
freedombox (25.11~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 12 Sep 2025 07:01:29 -0400

freedombox (25.11) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ Sunil Mohan Adapa ]
  * homeassistant: Fix typo in description
  * HACKING.md: Mention using virtual machines instead of containers
  * ui: Fix missing semicolon in JS file
  * tests: functional: Fix incorrect skipping of install tests
  * diagnostics: Fix notification severity when skipping tests
  * container: Add support for Trixie as stable distribution
  * d/control: Remove libpam-abl as a recommendation
  * Makefile, settings: Use full paths in pot files
  * container: Pass --nvram option to virsh undefine
  * syncthing: Update Android clients to Syncthing-Fork
  * web_server: Restart in development mode only for source code changes
  * upgrades: Don't allow needs-restart to restart privileged daemon
  * privileged: Don't isolate /var/tmp/ for privileged daemon
  * email: Fix Thunderbird auto configuration failure
  * action_utils: Implement a utility to run a command as different user
  * gitweb: Use pathlib API more
  * gitweb: Don't use privileged action feature to run as different user
  * storage: Don't use privileged action feature to run as different user
  * actions: Drop feature to run privileged action as another user
  * actions: Simplify raw output code in privileged methods
  * actions, backup: Implement raw output for privileged daemon
  * privileged_daemon: Introduce a command line client for the API
  * actions: Drop sudo based privileged actions
  * actions: Framework for capturing stdout/stderr in privileged daemon
  * actions, backups: Fix tests depending on sudo based actions
  * privileged_daemon: Log only to journal and not console
  * dynamicdns: Handle showing errors from GnuDIP
  * upgrades: Overhaul detection of distribution
  * package: Refresh apt cache if sources list is newer
  * package: Don't consider uninstalled packages as available
  * matrixsynapse, upgrades: Install select packages from unstable

  [ Joseph Nuthalapati ]
  * power: logind config to ignore laptop lid close
  * backups: Trim translatable string
  * l10n: Fix formatted strings for errors/exceptions
  * l10n: Fix broken Italian translation
  * l10n: Fix a broken string in Russian translation

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Roman Akimov ]
  * Translated using Weblate (Russian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Veiko Aasa ]
  * samba: Update client list

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 Sep 2025 20:27:54 -0400

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - FreedomBox configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-apps 2> /dev/null
Restrictions: needs-root, breaks-testbed

#
# Run unit and integration tests on installed files.
#
Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
Depends: e2fsprogs, git, python3-pytest, python3-pytest-cov, python3-pytest-django, @
Restrictions: breaks-testbed

## freedombox 25.11

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,11 @@
 MODULE_DATA_FILES := $(shell find $(wildcard plinth/modules/*/data) -type f $(FIND_ARGS))
 
 update-translations:
-	cd plinth; $(DJANGO_ADMIN) makemessages --all --domain django --keep-pot --verbosity=1
+	$(DJANGO_ADMIN) makemessages --all --domain django --keep-pot \
+		--verbosity=1 --ignore conftest.py --ignore doc --ignore build \
+		--ignore htmlcov --ignore screenshots --ignore debian --ignore \
+		actions --ignore preseed --ignore static --ignore data \
+		--settings plinth.settings --pythonpath .
 
 configure:
 	# Nothing to do
@@ -99,9 +103,7 @@
 	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
         $(INSTALL) -D -t $(BIN_DIR) bin/plinth
 	$(INSTALL) -D -t $(BIN_DIR) bin/freedombox-privileged
-
-	# Actions
-	$(INSTALL) -D -t $(DESTDIR)/usr/share/plinth/actions actions/actions
+	$(INSTALL) -D -t $(BIN_DIR) bin/freedombox-cmd
 
 	# Static web server files
 	rm -rf $(STATIC_FILES_DIRECTORY)
@@ -136,7 +138,7 @@
 
 # Code quality checking using flake8
 check-code:
-	$(PYTHON) -m flake8 plinth actions/actions container
+	$(PYTHON) -m flake8 plinth container
 
 # Static type checking using mypy
 check-type:

=== doc/Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: AGPL-3.0-or-later

MANUAL_LANGUAGES=en es

MANUAL_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"
MANUAL_URL_RAW="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=raw"
MANUAL_PAGE_URL_RAW="https://wiki.debian.org/{page}?action=raw"

INSTALL_DIR=$(DESTDIR)/usr/share/freedombox
MAN_INSTALL_DIR=$(DESTDIR)/usr/share/man
SCRIPTS_DIR=scripts

manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)
manual-xmls=$(patsubst %.pdf,%.xml,$(manual-pdfs))
OUTPUTS=$(manual-pdfs) plinth.1

INSTALL_OPTS=-D --mode=644

# In order to debug various problems with the documents especially
# intermediate LaTeX state, run make as follows:
#
#   $ make DEBUG=true
#   or
#   $ make DEBUG=true <target>
#
XMLTO_DEBUG_FLAGS=
ifneq ($(DEBUG),)
	XMLTO_DEBUG_FLAGS=--noclean -p '--debug'
endif

.PHONY: all install
all: $(OUTPUTS) manual-pages

install: all
	install $(INSTALL_OPTS) -t $(MAN_INSTALL_DIR)/man1 plinth.1
	for file in $(manual-pages-part-html) $(manual-pdfs); do \
		install $(INSTALL_OPTS) -t $(INSTALL_DIR)/$$(dirname $${file}) \
			$${file} ; \
	done
	for lang in $(MANUAL_LANGUAGES); do \
		install $(INSTALL_OPTS) manual/$${lang}/images/*.png \
			manual/$${lang}/images/*.jpg \
			-t $(INSTALL_DIR)/manual/$${lang}/images ; \
	done

# Do not edit the manual page in this directory.  The manual is
# maintained as separate pages on the FreedomBox wiki and aggregated
# into a single page using the MoinMoin include feature.  Then it is
# exported as Docbook format and kept here.
#
# It is important to keep a copy of the manual in this source tree
# because Debian packages promise an entire source tree including the
# documentation.
#
# Use 'make fetch' to retrieve the latest manual from the wiki and
# commit it to the repository.  The wiki page is already reviewed, so
# commits that update the manual just using the 'fetch' target do not
# require further reviews.
fetch-main-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-main-$(lang))
fetch-pages-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-pages-$(lang))
fetch-cleanup-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-cleanup-$(lang))

.PHONY: fetch $(fetch-main-list) $(fetch-pages-list) $(fetch-cleanup-list)
fetch: $(fetch-main-list) $(fetch-pages-list)

# Remove raw wiki pages and images before fetching to drop items deleted
# upstream.
fetch-cleanup-%: lang = $*
$(fetch-cleanup-list): fetch-cleanup-%:
	rm -f manual/$(lang)/*.raw.wiki
	rm -f manual/$(lang)/images/*.png manual/$(lang)/images/*.jpg

fetch-main-%: lang = $*
fetch-main-%: lang-fragment = $(subst en/,,$*/)
$(fetch-main-list): fetch-main-%: fetch-cleanup-%
	MANUAL_URL_RAW_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	wget --quiet --user-agent=Firefox \
	  -O manual/$(lang)/freedombox-manual.raw.wiki $${MANUAL_URL_RAW_LANG}
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL)) ; \
	wget --quiet --user-agent=Firefox -O - $${MANUAL_URL_LANG} | \
	  xmllint --format --output manual/$(lang)/freedombox-manual.raw.xml -
	mkdir -p manual/$(lang)/images/
	xsltproc $(SCRIPTS_DIR)/fetch-images.xslt manual/$(lang)/freedombox-manual.raw.xml | \
	  sort -u | \
	  awk 'NF {print "wget --quiet -O manual/$(lang)/images/" $$1 " " $$2}' | \
	  sh -e
	rm manual/$(lang)/freedombox-manual.raw.xml

fetch-pages-%: lang = $*
fetch-pages-%: lang-fragment = $(subst en/,,$*/)
$(fetch-pages-list): fetch-pages-%: fetch-cleanup-%
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	PAGES=$$(wget --quiet --user-agent=Firefox -O - $${MANUAL_URL_LANG} | \
	  sed -n -e "s|.*<<Include(\([a-zA-Z0-9_/+-]*\),.*|\1|p" | sort -u) ; \
	for PAGE in $${PAGES} ; do \
	  PAGE_NAME=$$(basename $${PAGE}) ; \
	  echo "Downloading $(lang) $${PAGE}" ; \
	  RAW_FILE="manual/$(lang)/$${PAGE_NAME}.raw.wiki" ; \
	  RAW_URL=$$(echo $(MANUAL_PAGE_URL_RAW) | sed "s|{page}|$${PAGE}|") ; \
	  wget --quiet --user-agent=Firefox -O $${RAW_FILE} $${RAW_URL} ; \
	done

manual-pages-raw-wiki:=$(foreach lang,$(MANUAL_LANGUAGES),$(filter-out manual/%/freedombox-manual.raw.wiki,$(wildcard manual/$(lang)/*.raw.wiki)))
manual-pages-part-html:=$(patsubst %.raw.wiki, %.part.html, $(manual-pages-raw-wiki)) $(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.part.html)
manual-pages-xml:=$(patsubst %.raw.wiki, %.xml, $(manual-pages-raw-wiki))

.PHONY: manual-pages
manual-pages: $(manual-pages-part-html)

$(manual-pdfs): %.pdf: %.xml
	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf -o $(dir $@) $<

$(manual-pages-part-html): %.part.html: %.xml
	xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/xhtml5/docbook.xsl $< | \
	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' > $@
	@rm -f $(dir $@)docbook.css

$(manual-xmls) $(manual-pages-xml): %.xml: %.raw.wiki $(SCRIPTS_DIR)/wikiparser.py
	$(SCRIPTS_DIR)/wikiparser.py $< | xmllint --format - > $@

%.1: %.xml
	xmlto man $<

.PHONY: clean
clean:
	rm -f $(manual-pages-part-html) $(manual-pages-xml) $(manual-xmls)
	rm -f $(OUTPUTS)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export PYBUILD_DESTDIR=debian/tmp
export PYBUILD_SYSTEM=custom
export PYBUILD_CONFIGURE_ARGS=make configure
export PYBUILD_BUILD_ARGS=make PYTHON={interpreter} build
export PYBUILD_INSTALL_ARGS=make PYTHON={interpreter} DESTDIR={destdir} install
export PYBUILD_CLEAN_ARGS=make clean
export PYBUILD_TEST_ARGS=make PYTHON={interpreter} check-tests

FBX_VERSION := $(shell ./run --develop --version | awk 'NF{ print $$NF }')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --develop --list-dependencies | sort | tr '\n' ', ' | \
		sed -e 's/^/freedombox:Depends=/' >> debian/freedombox.substvars
	# Ensure the list of dependencies is not empty.
	test -s debian/freedombox.substvars || exit 1

	# Check that FreedomBox version number is matching.
ifneq ($(FBX_VERSION),$(DEB_VERSION))
	>&2 echo "WARNING: FreedomBox version $(FBX_VERSION) does not match package version $(DEB_VERSION)."
endif

override_dh_installsystemd:
	# Do not enable or start any service other than FreedomBox service. Use
	# of --tmpdir is a hack to workaround an issue with dh_installsystemd
	# (as of debhelper 13.5.2) that still has hardcoded search path of
	# /lib/systemd/system for searching systemd services. See #987989 and
	# reversion of its changes.
	dh_installsystemd --tmpdir=debian/tmp/usr --package=freedombox \
		plinth.service freedombox-privileged.socket

## freedombox 25.12~bpo13+1

=== debian/changelog ===
freedombox (25.12~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 26 Sep 2025 16:54:43 -0400

freedombox (25.12) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Sunil Mohan Adapa ]
  * bepasty: tests: Override backup/restore test properly
  * ci: Update container for functional tests from bookworm to trixie
  * ci: Don't include defunct extract-source job
  * app: Add ability to retrieve logs from all systemd units of an app
  * views: Add a menu entry and view for showing logs of an app
  * diagnostics, help: Link to diagnostics page logs in 500 error page
  * bepasty: tests: Fix functional test failure to missing / in URL
  * ci: functional: Provision the privileged daemon properly
  * torproxy: When disabling apt over tor fails, report error properly
  * upgrades: Multiple fixes for parsing Apt's Deb822 style sources
  * upgrades: Overwrite apt sources lens with bug fixes
  * zoph: Fix cases when CLI user is set to "autodetect"
  * index: Generalize showing custom shortcut icons
  * api: Fix showing icons for custom shortcuts
  * views: Fix 'internal server error' when showing 404 page

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Roman Akimov ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 22 Sep 2025 20:23:07 -0400

## freedombox 25.13~bpo13+1

=== doc/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)
 manual-xmls=$(patsubst %.pdf,%.xml,$(manual-pdfs))
-OUTPUTS=$(manual-pdfs) plinth.1
+OUTPUTS=$(manual-pdfs) plinth.1 freedombox-cmd.1
 
 INSTALL_OPTS=-D --mode=644

=== debian/changelog ===
freedombox (25.13~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 09 Oct 2025 07:48:05 -0400

freedombox (25.13) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * glib: Add schedule parameter for setting interval in develop mode
  * diagnostics: In development mode, run diagnostics more rarely
  * backups: Ignore a typing error with mypy
  * Makefile: Move privileged daemon to /usr/lib/freedombox
  * action_utils: Handle capture_output argument in run wrapper
  * privileged_daemon: Fix showing errors for freedombox-cmd command
  * doc: Add manual page for freedombox-cmd
  * storage: Fix disk usage checking with disconnected SSH mounts
  * actions: Work with older privileged daemon
  * privileged_daemon: Implement handling termination signal
  * d/rules: Drop a workaround for dh_installsytemd needed for /usr/lib
  * actions: Log method arguments in privileged daemon
  * backups: Fix robust handling of known errors
  * config: Set home page to FreedomBox for invalid values
  * actions: Log full exception from privileged daemon on error
  * setup: Log full exception traceback when setup fails
  * actions: Fix lifetime of thread local storage
  * actions_utils: Fix issue with collecting stdout/stderr
  * *: Use action_utils.run instead of subprocess.run
  * *: Use action_utils.run instead of subprocess.check_call
  * *: Use action_utils.run instead of subprocess.call
  * *: Use action_utils.run instead of subprocess.check_output
  * *: Collect output for all privileged sub-processes
  * ci: Switch backports test to trixie-backports
  * actions: Raise an exception if privileged server response is empty
  * debian: Stop privileged service during upgrade or removal
  * backups: Don't show enable/disable button as app can't be disabled
  * locale: Fix a string formatting issue in Italian translation
  * daemon: When ensuring running state handle not-installed state
  * miniflux: Fix DB connection issues during install/uninstall
  * zoph: Additional dbconfig configuration keys

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Roman Akimov ]
  * Translated using Weblate (Russian)

  [ Veiko Aasa ]
  * gitweb: Use Git credential helper when cloning URLs with credentials

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Oct 2025 20:30:14 -0400

## freedombox 25.13.1~bpo13+1

=== debian/changelog ===
freedombox (25.13.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 24 Oct 2025 14:36:43 -0400

freedombox (25.13.1) unstable; urgency=medium

  [ Paul Lettich ]
  * Translated using Weblate (German)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 Oct 2025 20:20:32 -0400

## freedombox 25.14~bpo13%2B1

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,6 @@
 endif
 
 override_dh_installsystemd:
-	# Do not enable or start any service other than FreedomBox service. Use
-	# of --tmpdir is a hack to workaround an issue with dh_installsystemd
-	# (as of debhelper 13.5.2) that still has hardcoded search path of
-	# /lib/systemd/system for searching systemd services. See #987989 and
-	# reversion of its changes.
-	dh_installsystemd --tmpdir=debian/tmp/usr --package=freedombox \
-		plinth.service freedombox-privileged.socket
+	# Do not enable or start any service other than FreedomBox service.
+	dh_installsystemd --package=freedombox plinth.service \
+		freedombox-privileged.socket

## freedombox 25.14~bpo13+1

=== debian/changelog ===
freedombox (25.14~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 30 Oct 2025 07:24:20 -0400

freedombox (25.14) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Jun Nogata ]
  * Translated using Weblate (Japanese)

  [ Sunil Mohan Adapa ]
  * Enable private tmp and join namespaces for the two daemons

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 27 Oct 2025 20:22:46 -0400

## freedombox 25.14

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 STATIC_FILES_DIRECTORY := $(DESTDIR)/usr/share/plinth/static
 BIN_DIR := $(DESTDIR)/usr/bin
+LIB_DIR := $(DESTDIR)/usr/lib
 
 FIND_ARGS := \
     -not -iname "*.log" \
@@ -102,7 +103,7 @@
 	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/COPYING.md && \
 	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
         $(INSTALL) -D -t $(BIN_DIR) bin/plinth
-	$(INSTALL) -D -t $(BIN_DIR) bin/freedombox-privileged
+	$(INSTALL) -D -t $(LIB_DIR)/freedombox bin/freedombox-privileged
 	$(INSTALL) -D -t $(BIN_DIR) bin/freedombox-cmd
 
 	# Static web server files

## freedombox 25.15~bpo13+1

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
     repro \
     tahoe \
     mldonkey \
-    i2p
+    i2p \
+    ttrss
 
 APP_FILES_TO_REMOVE := $(foreach app,$(DISABLED_APPS_TO_REMOVE),$(ENABLED_APPS_PATH)/$(app))
 
@@ -161,6 +162,16 @@
 endef
 export DEVELOP_SERVICE_CONF
 
+define DEVELOP_LOGS_SCRIPT
+#!/usr/bin/bash
+
+set -e
+set -x
+
+journalctl --follow --unit=plinth.service --unit=freedombox-privileged.service
+endef
+export DEVELOP_LOGS_SCRIPT
+
 # Run basic setup for a developer environment (VM or container)
 provision-dev:
 	# Install newer build dependencies if any
@@ -170,9 +181,15 @@
 	# Install latest code over .deb
 	$(MAKE) build install
 
-	# Configure privileged daemon for development setup
+	# Configure privileged and web daemon for development setup
 	mkdir -p /etc/systemd/system/freedombox-privileged.service.d/
 	echo "$$DEVELOP_SERVICE_CONF" > /etc/systemd/system/freedombox-privileged.service.d/develop.conf
+	mkdir -p /etc/systemd/system/plinth.service.d/
+	echo "$$DEVELOP_SERVICE_CONF" > /etc/systemd/system/plinth.service.d/develop.conf
+
+	# Create a command to easily watch service logs
+	echo "$$DEVELOP_LOGS_SCRIPT" > /usr/bin/freedombox-logs
+	chmod 755 /usr/bin/freedombox-logs
 
 	# Reload newer systemd units, ignore failure
 	-systemctl daemon-reload
@@ -182,6 +199,10 @@
 
 	-test -d /run/systemd/system && \
 		systemctl enable --now freedombox-privileged.socket
+
+	# Enable and restart plinth service if it is running
+	-systemctl enable plinth.service
+	-systemctl restart plinth.service
 
 	# Stop any ongoing upgrade, ignore failure
 	-killall -9 unattended-upgr
@@ -206,6 +227,12 @@
 	# Install additional packages
 	DEBIAN_FRONTEND=noninteractive apt-get install --yes ncurses-term \
 	    sshpass bash-completion
+
+wait-while-first-setup:
+	while [ x$$(curl -k https://localhost/plinth/status/ 2> /dev/null | \
+	    json_pp 2> /dev/null | grep 'is_first_setup_running' | \
+            tr -d '[:space:]' | cut -d':' -f2 ) != 'xfalse' ] ; do \
+	    sleep 1; echo -n .; done
 
 .PHONY: \
     build \
@@ -219,4 +246,5 @@
     configure \
     install \
     provision \
-    update-translations
+    update-translations \
+    wait-while-first-setup

=== debian/changelog ===
freedombox (25.15~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 14 Nov 2025 17:22:54 -0500

freedombox (25.15) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Sunil Mohan Adapa ]
  * views: Implement an API to retrieve the readiness status in JSON
  * main: Allow setting development mode from environment
  * Run service using systemd even for development
  * README: Use the Weblate's language chart widget
  * help: Fix serving images from help pages
  * matrixsynapse: Clarify how to change domain name in status section
  * matrixsynapse: Explain federation and link to testing tool
  * matrixsynapse: Explicitly set the trusted key server to matrix.org
  * ttrss: Remove app not available in Trixie

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Nov 2025 20:48:49 -0500

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  xsltproc
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
-Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/trixie-backports
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no
 
@@ -134,8 +134,6 @@
  libnss-mdns,
 # Resolve current hostname without /etc/hosts
  libnss-myhostname,
-# Block repeated failed PAM login attempts
- libpam-abl,
 # Priority: standard
  locales,
 # Precompiled data for all locales

## freedombox 25.15

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  xsltproc
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
-Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git -b debian/trixie-backports
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no

## freedombox 25.16~bpo13+1

=== debian/changelog ===
freedombox (25.16~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 29 Nov 2025 09:14:58 -0500

freedombox (25.16) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Sunil Mohan Adapa ]
  * middleware: Implement middleware for common headers such as CSP
  * janus: Allow app to be installed from Debian unstable
  * janus: Relax content security policy for the video room
  * janus: Update the video room code from latest upstream
  * package: Prevent freedombox's deps from removal during app uninstall
  * dynamicdns: Use only IPv4 for GnuDIP protocol
  * jsxc: Fix missing dependencies
  * jsxc: Update content security policy to prevent style errors

  [ Roman Akimov ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Nov 2025 20:30:35 -0500

## freedombox 25.17~bpo13+1

=== debian/changelog ===
freedombox (25.17~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 12 Dec 2025 09:04:48 -0500

freedombox (25.17) unstable; urgency=medium

  [ James Valleroy ]
  * homeassistant: Fix spelling in tests
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ OwlGale ]
  * Translated using Weblate (Russian)

  [ kosagi ]
  * Translated using Weblate (Catalan)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Sunil Mohan Adapa ]
  * ui: Implement a toggle menu for setting dark mode
  * upgrades: Use bootstrap spinner button instead of custom styling
  * ui: Use default button style for tag buttons
  * ui: Fix dark theme color for form help text
  * ui: Fix dark theme colors for default button style
  * ui: Fix dark theme color for disabled form elements
  * ui: Dark theme color for tags text in an app card
  * ui: Drop colors defined in Bootstrap 5.3
  * ui: Fix dark theme colors for running status indicator
  * ui: Minor CSS refactor to use variables
  * ui: Fix dark theme color for select-all button
  * ui: Fix dark theme colors for app enable/disable toggle button
  * privileged: Don't log exception that are expected

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ Joseph Nuthalapati ]
  * l10n: Fix python-brace-format error in Estonian

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 08 Dec 2025 20:50:56 -0500

## freedombox 25.17.1~bpo13+1

=== debian/changelog ===
freedombox (25.17.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 16 Dec 2025 11:19:25 -0500

freedombox (25.17.1) unstable; urgency=medium

  [ James Valleroy ]
  * vagrant: Enable EFI firmware
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Benedek Nagy ]
  * transmission: remove obsolete apache redirects
  * minetest: Rename Minetest to Luanti

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ OwlGale ]
  * Translated using Weblate (Russian)

  [ Diego Roversi ]
  * Translated using Weblate (Italian)

  [ Pierfrancesco Passerini ]
  * Translated using Weblate (Italian)

  [ Sunil Mohan Adapa ]
  * minetest: Remove legacy code, use new name, conf, etc.
  * transmission: Deal with changes in latest forky package
  * backups: Set proper permissions for backups-data directory

  [ bsurajpatra ]
  * Translated using Weblate (Hindi)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 15 Dec 2025 20:35:00 -0500

## freedombox 26.1~bpo13+1

=== debian/changelog ===
freedombox (26.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 08 Jan 2026 06:13:51 -0500

freedombox (26.1) unstable; urgency=medium

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Максим Горпиніч ]
  * Translated using Weblate (Ukrainian)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ OwlGale ]
  * Translated using Weblate (Russian)

  [ Roman Akimov ]
  * Translated using Weblate (Russian)

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Coucouf ]
  * Translated using Weblate (French)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Pierfrancesco Passerini ]
  * Translated using Weblate (Italian)

  [ Joseph Nuthalapati ]
  * container: Add aliases for start/stop commands

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Jan 2026 20:09:02 -0500

## freedombox 26.2~bpo13+1

=== debian/changelog ===
freedombox (26.2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 24 Jan 2026 08:35:17 -0500

freedombox (26.2) unstable; urgency=medium

  [ Pierfrancesco Passerini ]
  * Translated using Weblate (Italian)

  [ Priit Jõerüüt ]
  * Translated using Weblate (Estonian)

  [ Joseph Nuthalapati ]
  * notifications: Close dropdown when clicking outside
  * gitweb: Fix deleting last repo disables app

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 20 Jan 2026 20:26:42 -0500

## freedombox 26.3

=== Makefile ===
--- 
+++ 
@@ -101,7 +101,7 @@
         $(INSTALL) -d $(DESTDIR)$${lib_dir} && \
 	rm -rf $(DESTDIR)$${lib_dir}/plinth $(DESTDIR)$${lib_dir}/plinth*.dist-info && \
         mv $${temp}/plinth $${temp}/plinth*.dist-info $(DESTDIR)$${lib_dir} && \
-	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/COPYING.md && \
+	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/licenses/COPYING.md && \
 	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
         $(INSTALL) -D -t $(BIN_DIR) bin/plinth
 	$(INSTALL) -D -t $(LIB_DIR)/freedombox bin/freedombox-privileged

=== debian/changelog ===
freedombox (26.3) unstable; urgency=medium

  [ Frederico Gomes ]
  * wireguard: Add 'Start Server' button
  * docs: Update container script usage
  * wireguard: Show next available client IP in Add Client form
  * wireguard: Show server endpoint on main app page

  [ James Valleroy ]
  * wireguard: Update functional tests to handle Start Server button
  * lintian: Remove mismatched overrides
  * Makefile: Fix removing extra license file
  * debian: Follows policy 4.7.3
  * debian: Remove default Rules-Requires-Root
  * debian: Remove preinst script
  * debian: Update copyright years
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Sunil Mohan Adapa ]
  * debian: Ignore lintian warning: service file missing Install section
  * wireguard: Remove NM connections when app is uninstalled
  * ui: Use HTMX to update notifications on partial page updates

  [ Joseph Nuthalapati ]
  * ui: Add HTMX as a dependency
  * ui: Use HTMX to eliminate full page reloads

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Pierfrancesco Passerini ]
  * Translated using Weblate (Italian)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Feb 2026 20:41:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: freedombox
 Section: web
-Priority: optional
 Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Tzafrir Cohen <tzafrir@debian.org>,
@@ -18,6 +17,7 @@
  e2fsprogs,
  gir1.2-nm-1.0,
  libjs-bootstrap5,
+ libjs-htmx,
 # Older libjs-bootstrap5 does not have proper dependency on popper.js >= 2.0
  node-popper2,
  pybuild-plugin-pyproject,
@@ -56,11 +56,10 @@
  sshpass,
  xmlto,
  xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://salsa.debian.org/freedombox-team/freedombox
 Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
 Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
-Rules-Requires-Root: no
 
 Package: freedombox
 Breaks:
@@ -89,6 +88,7 @@
 # For gdbus used to call hooks into service
  libglib2.0-bin,
  libjs-bootstrap5,
+ libjs-htmx,
  lsof,
  netcat-openbsd,
  network-manager,
